# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class ResumableUploadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.ResumableUploadException

All Implemented Interfaces:
  java.io.Serializable

    public class ResumableUploadException

extends ServiceException

The ResumableUploadException should be thrown by a client when a resumable upload io operation failed while uploading media.

See Also:
  Serialized Form

Constructor Summary
`ResumableUploadException(java.lang.String message)`

Method Summary

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResumableUploadException

    public ResumableUploadException(java.lang.String message)